Download it now!
Bug 106649 - Android: change icons from material to breeze SVG
Summary: Android: change icons from material to breeze SVG
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mabAndroid Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2017-03-19 21:38 UTC by Tomaz Vajngerl
Modified: 2019-04-24 13:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2017-03-19 21:38:37 UTC
Because material icons aren't complete for all the things we need we should switch to breeze icons which are mostly complete in the desktop LibreOffice. At the same time switch to use vector icons as this is now possible on Android, and can be done by using our breeze SVG icons in icon-there/breeze_svg and import them in Android Studio.
Comment 1 blendergeek 2017-04-19 16:20:24 UTC
Agreed. 

Not only will this make the icons on android more complete, it will also provide consistency for LibreOffice across platforms. I (personally) really like this idea.

Also, vectors icons are a good idea. They will scale on different screens much more easily.
Comment 2 andreas_k 2017-08-29 15:34:19 UTC
I'm not sure if it is a breeze-icon-theme bug cause I can't do anything. All breeze icons are available in svg. with a recent patch the icon size was shrieked to 15% and the svg trash was removed. so if LibreOffice for Android want to use them no Problem. Maybe I get feedback that I can also test LibreOffice on Android to have a look if breeze icons work there.

But if you would like to use breeze-icons, than 100% so also the app and mimetype icons should be breeze style.

cheers
Andreas_K
Comment 3 andreas_k 2018-07-25 17:20:14 UTC
any progress. we also have colibre now as svg icon theme. I don't know what will look best but breeze, colibre and elementary are available in svg.
Comment 4 andreas_k 2019-04-24 08:51:49 UTC
Should I close the bug report cause there is any progress.

Sifr is monochrome only so it's perfect themable and since few weeks available.
Comment 5 Tomaz Vajngerl 2019-04-24 13:40:17 UTC
Most icons were moved to breeze from material for the Android app already so yeah... it's fixed.